## lua-torch-sys 0~20161027

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
CMAKE_POLICY(VERSION 2.6)

FIND_PACKAGE(Torch REQUIRED)

SET(src sys.c)
SET(luasrc init.lua colors.lua fpath.lua)

ADD_TORCH_PACKAGE(sys "${src}" "${luasrc}")

TARGET_LINK_LIBRARIES(sys luaT TH)
IF(LUALIB)
  TARGET_LINK_LIBRARIES(sys ${LUALIB})
ENDIF()

## lua-torch-sys 0~20161027-gf073f05

=== debian/changelog ===
lua-torch-sys (0~20161027-gf073f05-3) unstable; urgency=medium

  * Add watch file to monitor upstream master branch.
  * Update copyright information.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.4 .
    + Use https form of links in copyright.
  * Point Vcs-* fields to Salsa.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 21 Apr 2018 03:29:02 +0000

lua-torch-sys (0~20161027-gf073f05-2) unstable; urgency=medium

  * Use " instead of ' to workaround the autopkgtest bug. Closes: #870086
  * Add the missing Depends on lua-torch-paths.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 04 Aug 2017 15:44:01 +0000

lua-torch-sys (0~20161027-gf073f05-1) unstable; urgency=medium

  * Import snapshot.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.0.0 (requires no change).
  * Remove Depends on lua-torch-paths and lua-torch-torch7.
    They are not used by this package, even if the luarocks file specified
    them as dependencies.
  * Add autopkgtest control file.
  * Upload to unstable.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 28 Jul 2017 09:41:10 +0000

lua-torch-sys (0~20160920-g512e61a-1) experimental; urgency=medium

  * Import new upstream snapshot.

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 02 Oct 2016 16:06:24 +0000

lua-torch-sys (0~20160415-g8d2b8fa-1) experimental; urgency=low

  * Initial release. Closes: #826792

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 12 Aug 2016 13:32:46 +0000

=== debian/control ===
Source: lua-torch-sys
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>=11), dh-lua
Standards-Version: 4.1.4
Homepage: https://github.com/torch/sys
Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-sys
Vcs-Git: https://salsa.debian.org/science-team/lua-torch-sys.git

Package: lua-torch-sys
Architecture: any
Multi-Arch: same
Depends: luajit | lua5.1,
         lua-torch-paths,
         ${misc:Depends},
         ${shlibs:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: System Package for Torch Framework
 This package provides system functionalities for Torch.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS= hardening=+all

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -s . sys
	dh_auto_configure

override_dh_auto_clean:
	-$(RM) -rf 5.1-torch-sys 5.2-torch-sys debian/trash sys
	dh_auto_clean

=== debian/tests/control ===
Test-Command: luajit -lsys -e "print(true)"

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd-g%h" \
https://github.com/torch/sys \
HEAD debian uupdate
